SchoolScout API
CreditsHistory

Get credit history

View credit transaction history. **Free (0 credits).**

GET
/credits/history

View credit transaction history. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Query Parameters

limit?integer
Default50
offset?integer
Default0

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/credits/history"
{
  "transactions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "org_id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "550e8400-e29b-41d4-a716-446655440000",
      "operation": "string",
      "entity_type": "string",
      "entity_id": "550e8400-e29b-41d4-a716-446655440000",
      "credits": -9007199254740991,
      "balance_after": -9007199254740991,
      "channel": "string",
      "status": "committed",
      "metadata": {
        "property1": null,
        "property2": null
      },
      "operation_key": "string",
      "operation_version": -9007199254740991,
      "created_at": "string"
    }
  ],
  "pagination": {
    "total": -9007199254740991,
    "limit": -9007199254740991,
    "offset": -9007199254740991,
    "has_more": true
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}